# Uses of Class
org.apache.solr.client.solrj.request.RequestWriter

Packages that use RequestWriter
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of RequestWriter in org.apache.solr.client.solrj.impl

Fields in org.apache.solr.client.solrj.impl declared as RequestWriter
Modifier and Type
Field
Description
`protected RequestWriter`
CloudSolrClient.Builder.`requestWriter`
`protected RequestWriter`
HttpSolrClientBase.`requestWriter`
`protected RequestWriter`
HttpSolrClientBuilderBase.`requestWriter`
`protected RequestWriter`
LBSolrClient.`requestWriter`
Methods in org.apache.solr.client.solrj.impl that return RequestWriter
Modifier and Type
Method
Description
`RequestWriter`
CloudSolrClient.`getRequestWriter()`
`RequestWriter`
HttpSolrClientBase.`getRequestWriter()`
`RequestWriter`
LBSolrClient.`getRequestWriter()`
Methods in org.apache.solr.client.solrj.impl with parameters of type RequestWriter
Modifier and Type
Method
Description
`CloudSolrClient.Builder`
CloudSolrClient.Builder.`withRequestWriter(RequestWriter requestWriter)`
Provides a `RequestWriter` for created clients to use when handing requests.
`B`
HttpSolrClientBuilderBase.`withRequestWriter(RequestWriter requestWriter)`
Provides a `RequestWriter` for created clients to use when handing requests.

## Uses of RequestWriter in org.apache.solr.client.solrj.request

Subclasses of RequestWriter in org.apache.solr.client.solrj.request
Modifier and Type
Class
Description
`class`
`JavaBinRequestWriter`
A RequestWriter which writes requests in the javabin format
`class`
`XMLRequestWriter`

## Uses of RequestWriter in org.apache.solr.common.util

Methods in org.apache.solr.common.util with parameters of type RequestWriter
Modifier and Type
Method
Description
`static ContentStream`
ContentStreamBase.`create(RequestWriter requestWriter, SolrRequest req)`